Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class RepositoryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.content.RepositoryException

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  AuthenticationException, AuthorizationException, ConstraintViolationException, DefaultWorkflowException, InvalidNodeNameException, InvalidQueryException, JobActiveException, JobNotActiveException, JobNotFoundException, NodeExistsException, NoRepositoriesDefinedException, NoSuchNodeException, NoSuchObjectClassException, NoSuchPropertyChoiceException, NoSuchPropertyDefinitionException, NoSuchPropertyException, NoSuchRepositoryConfigException, NoSuchWorkflowException, ObjectClassExistsException, ObjectClassInUseException, PropertyChoiceExistsException, PropertyDefinitionExistsException, PropertyExistsException, RepositoryConfigExistsException, TransitionNotFoundException, ValueOutOfBoundsException, WorkflowException, WorkflowExistsException, WorkflowInUseException

    public class RepositoryException

extends Exception

This is the main checked exception for any error thrown from the SPI. All other checked Exceptions should be subclasses. This Exception may be used for validation errors. See http://e-docs.bea.com/wls/docs100/javadocs/weblogic/logging/NonCatalogLogger.html And http://e-docs.bea.com/wls/docs100/javadocs/weblogic/i18n/logging/NonCatalogLogger.html

See Also
  Serialized Form

Constructor Summary
`RepositoryException(String message)`
`RepositoryException(String message, boolean log)`
`RepositoryException(String message, Throwable cause)`
`RepositoryException(String message, Throwable cause, boolean log)`
`RepositoryException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepositoryException

    public RepositoryException(String message)

### RepositoryException

    public RepositoryException(String message,
                               boolean log)

### RepositoryException

    public RepositoryException(String message,
                               Throwable cause)

### RepositoryException

    public RepositoryException(Throwable cause)

### RepositoryException

    public RepositoryException(String message,
                               Throwable cause,
                               boolean log)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.